<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_forum_topic.php                                    ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/date_functions.php");

	check_admin_security("forum");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_forum_topic.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_forum_topic_href", "admin_forum_topic.php");

	$r = new VA_Record($table_prefix . "forum");

	$r->add_where("thread_id", INTEGER);

	$r->add_textbox("user_name", TEXT, "Nickname");
	$r->parameters["user_name"][REQUIRED] = true;
	$r->add_textbox("user_email", TEXT, "Email");
	$r->parameters["user_email"][REQUIRED] = true;
	$r->add_textbox("remote_address", TEXT);

	$r->add_textbox("topic", TEXT, "Topic");
	$r->parameters["topic"][REQUIRED] = true;
	$r->add_textbox("description", TEXT, "Description");
	$r->parameters["description"][REQUIRED] = true;
	$r->add_checkbox("email_notification", INTEGER);

	$r->add_textbox("date_added", DATETIME);
	$r->change_property("date_added", USE_IN_UPDATE, false);
	$r->add_textbox("date_modified", DATETIME);

	$r->get_form_values();

	$operation = get_param("operation");
	$thread_id = get_param("thread_id");
	$rp = get_param("rp");
	$return_page = (strlen($rp) && $operation != "delete") ? $rp : "admin_forum.php";
	
	if(strlen($operation))
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $thread_id)
		{
			$db->query("DELETE FROM " . $table_prefix . "forum WHERE thread_id=" . $db->tosql($thread_id, INTEGER));
			$db->query("DELETE FROM " . $table_prefix . "forum_messages WHERE thread_id=" . $db->tosql($thread_id, INTEGER));
			header("Location: " . $return_page);
			exit;
		}

		$is_valid = $r->validate();

		if($is_valid)
		{
			$remote_address = getenv("REMOTE_ADDR");
			$r->set_value("date_added", va_time());
			$r->set_value("date_modified", va_time());

			if(strlen($r->get_value("thread_id"))) {
				$r->update_record();
			} else {
				$r->insert_record();
			}

			header("Location: " . $return_page);
			exit;
		}
	}
	else if(strlen($r->get_value("thread_id")))
	{
		$r->get_db_values();
	}
	else // new item (set default values)
	{
	}

	$r->set_parameters();
	
	if(strlen($thread_id))	
	{
		$t->set_var("save_button", "Update");
		$t->parse("delete", false);	
	}
	else
	{
		$t->set_var("save_button", "Add New");
		$t->set_var("delete", "");	
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("rp", htmlspecialchars($return_page));

	$t->pparse("main");

?>
