<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_items_list.php                                     ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/
                           

	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/tree.php");

	check_admin_security("products_categories");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_items_list.html");

	// set files names
	$t->set_var("admin_items_list_href", "admin_items_list.php");
	$t->set_var("admin_category_edit_href", "admin_category_edit.php");
	$t->set_var("admin_product_href", "admin_product.php");
	$t->set_var("admin_properties_href", "admin_properties.php");
	$t->set_var("admin_releases_href", "admin_releases.php");
	$t->set_var("admin_item_categories_href", "admin_item_categories.php");
	$t->set_var("admin_categories_order_href", "admin_categories_order.php");
	$t->set_var("admin_products_order_href", "admin_products_order.php");
	$t->set_var("admin_default_properties_href", "admin_default_properties.php");
	$t->set_var("admin_import_href", "admin_import.php");
	$t->set_var("admin_export_href", "admin_export.php");

	include("./admin_header.php");
	include("./admin_footer.php");

	$category_id = get_param("category_id");
	if(!strlen($category_id)) $category_id = "0";
	// get search parameters
	$s = trim(get_param("s"));
	$sc = get_param("sc");
	$search = strlen($s) ? true : false;
	if($search && $sc) { $category_id = $sc; }
	$sa = "";


	$tree = new VA_Tree("category_id", "category_name", "parent_category_id", $table_prefix . "categories", "tree");
	$tree->show($category_id);

	$sql  = " SELECT full_description FROM " . $table_prefix . "categories WHERE category_id = " . $db->tosql($category_id, INTEGER);
	$db->query($sql);
	if($db->next_record())
		$t->set_var("full_description", $db->f("full_description"));
	else
		$t->set_var("full_description", "");

	$t->set_var("parent_category_id", $category_id);
	$sql  = " SELECT category_id,category_name ";
	$sql .= " FROM " . $table_prefix . "categories WHERE parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("categories_order_link", false);
		$t->set_var("no_categories", "");
		do
		{
			$t->set_var("category_id", $db->f("category_id"));
			$t->set_var("category_name", $db->f("category_name"));
			$t->parse("categories");
		} while ($db->next_record());
		$t->parse("categories_header", false);
	}
	else
	{
		$t->set_var("categories", "");
		$t->set_var("categories_order_link", "");
		$t->parse("no_categories");
	}

	$sql  = " SELECT i.item_id,i.item_name,ic.category_id ";
	$sql .= " FROM " . $table_prefix . "items i, " . $table_prefix . "items_categories ic ";
	if($search && $category_id != 0) {
		$sql .= ", " . $table_prefix . "categories c ";
	}
	$sql .= " WHERE i.item_id=ic.item_id ";
	if($search && $category_id != 0) {
		$sql .= " AND c.category_id = ic.category_id ";
		$sql .= " AND (ic.category_id = " . $db->tosql($category_id, INTEGER);
		$sql .= " OR c.category_path LIKE '" . $db->tosql($tree->get_path($category_id), TEXT, false) . "%')";
	} else if(!$search) {
		$sql .= " AND ic.category_id = " . $db->tosql($category_id, INTEGER);
	}
	if($search) {
		$sa = split(" ", $s);
		for($si = 0; $si < sizeof($sa); $si++) {
			$sql .= " AND i.item_name LIKE '%" . $db->tosql($sa[$si], TEXT, false) . "%'";
		}
	}
	$sql .= " GROUP BY i.item_id,i.item_name,ic.category_id,i.item_order ";
	$sql .= " ORDER BY i.item_order ";

	$db->query($sql);
	if($db->next_record())
	{
		$t->parse("products_order_link", false);
		$t->set_var("category_id", $category_id);
		$t->set_var("no_items", "");
		do
		{

			$t->set_var("product_category_id", $db->f("category_id"));
			$t->set_var("item_id", $db->f("item_id"));
			$item_name = $db->f("item_name");
			if($search) {
				for($si = 0; $si < sizeof($sa); $si++) {
					$item_name = preg_replace ("/(" . $sa[$si] . ")/i", "<b>\\1</b>", $item_name);					
				}
			}
			$t->set_var("item_name", $item_name);
			$t->parse("items_list");
		} while ($db->next_record());
		$t->parse("items_header", false);
	}
	else
	{
		$t->set_var("products_order_link", "");
		$t->set_var("items_list", "");
		$t->parse("no_items");
	}

	// set up search form parameters
	$values_before[] = array("", "All Categories");
	if($category_id != 0) {
		$values_before[] = array($category_id, "Current Category");
	}

	$sql  = " SELECT category_id,category_name ";
	$sql .= " FROM " . $table_prefix . "categories WHERE parent_category_id = " . $db->tosql($category_id, INTEGER);
	$sql .= " ORDER BY category_order ";
	$sc_values = get_db_values($sql, $values_before);

	set_options($sc_values, $sc, "sc");
	$t->set_var("s", $s);
	if($search) {
		$t->parse("s_d", false);
	}

	$t->parse("items_block", false);

	$t->pparse("main");

?>