<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_payment_system.php                                 ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");
	include($root_folder_path . "includes/editgrid.php");

	check_admin_security("payment_systems");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_payment_system.html");

	// set up html form parameters
	$r = new VA_Record($table_prefix . "payment_systems");
	$r->add_where("payment_id", INTEGER);
	$r->change_property("payment_id", USE_IN_INSERT, true);

	$r->add_textbox("payment_name", TEXT, "Payment Name");
	$r->change_property("payment_name", REQUIRED, true);
	$r->add_textbox("payment_url", TEXT, "URL");
	$r->change_property("payment_url", REQUIRED, true);
	$methods = array(array("GET", "GET"), array("POST", "POST"));
	$r->add_radio("submit_method", TEXT, $methods, "Form Submit Method");

	$r->get_form_values();

	$rp = new VA_Record($table_prefix . "payment_parameters", "parameters");
	$rp->add_where("parameter_id", INTEGER);
	$rp->add_hidden("payment_id", INTEGER);
	$rp->change_property("payment_id", USE_IN_INSERT, true);
	$rp->add_textbox("parameter_name", TEXT, "Parameter Name");
	$rp->change_property("parameter_name", REQUIRED, true);

	$parameter_types = array(
		array("", ""), 
		array("CONSTANT", "Constant"), 
		array("VARIABLE", "Variable")
	);

	$rp->add_select("parameter_type", TEXT, $parameter_types, "Parameter Type");
	$rp->change_property("parameter_type", REQUIRED, true);

	$rp->add_textbox("parameter_source", TEXT, "Parameter Source");
	$rp->change_property("parameter_source", REQUIRED, true);
	
	$payment_id = get_param("payment_id");

	$more_parameters = get_param("more_parameters");
	$number_parameters = get_param("number_parameters");

	$eg = new VA_EditGrid($rp, "parameters");
	$eg->get_form_values($number_parameters);

	$operation = get_param("operation");

	$return_page = "admin_payment_systems.php";

	if(strlen($operation) && !$more_parameters)
	{
		if($operation == "cancel")
		{
			header("Location: " . $return_page);
			exit;
		}
		else if($operation == "delete" && $payment_id)
		{
			$db->query("DELETE FROM " . $table_prefix . "payment_systems WHERE payment_id=" . $db->tosql($payment_id, INTEGER));		
			$db->query("DELETE FROM " . $table_prefix . "payment_parameters WHERE payment_id=" . $db->tosql($payment_id, INTEGER));		
			header("Location: " . $return_page);
			exit;
		}

		$is_valid = $r->validate();
		$is_valid = ($eg->validate() && $is_valid); 

		if($is_valid)
		{
			if(strlen($payment_id))
			{
				$r->update_record();
				$eg->set_values("payment_id", $payment_id);
				$eg->update_all($number_parameters);
			}
			else
			{
				$db->query("SELECT MAX(payment_id) FROM " . $table_prefix . "payment_systems");
				$db->next_record();
				$payment_id = $db->f(0) + 1;
				$r->set_value("payment_id", $payment_id);
				$r->insert_record();
				$eg->set_values("payment_id", $payment_id);
				$eg->insert_all($number_parameters);
			}
			header("Location: " . $return_page);
			exit;
		}
	}
	else if(strlen($payment_id) && !$more_parameters)
	{
		$r->get_db_values();
		$eg->set_value("payment_id", $payment_id);
		$eg->change_property("parameter_id", USE_IN_SELECT, true);
		$eg->change_property("parameter_id", USE_IN_WHERE, false);
		$eg->change_property("payment_id", USE_IN_WHERE, true);
		$eg->change_property("payment_id", USE_IN_SELECT, true);
		$number_parameters = $eg->get_db_values();
		if($number_parameters == 0)
			$number_parameters = 5;
	}
	else if($more_parameters)
	{
		$number_parameters += 5;
	}
	else
	{
		$r->set_value("submit_method", "GET");
		$number_parameters = 5;
	}

	$t->set_var("number_parameters", $number_parameters);

	$eg->set_parameters_all($number_parameters);
	$r->set_parameters();

	if(strlen($payment_id))	
	{
		$t->set_var("save_button", "Update");
		$t->parse("delete", false);	
	}
	else
	{
		$t->set_var("save_button", "Add New");
		$t->set_var("delete", "");	
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_payment_systems_href", "admin_payment_systems.php");
	$t->set_var("admin_payment_system_href", "admin_payment_system.php");
	$t->set_var("admin_payment_help_href", "admin_payment_help.php");

	$t->pparse("main");

?>