<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Online Shop Enterprise 2.1.5                              ***
  ***      File:  admin_support_admin_edit.php                             ***
  ***      Built: Sat Apr  9 12:37:03 2005                                 ***
  ***      http://www.codetosell.com                                       ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("support");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_support_admin_edit.html");

	$t->set_var("admin_support_href", "admin_support.php");
	$t->set_var("admin_support_admin_edit_href", "admin_support_admin_edit.php");
	$t->set_var("admin_support_admins_href", "admin_support_admins.php");

	$r = new VA_Record($table_prefix . "admins");
	$r->return_page = "admin_support_admins.php";

	$deps =array();
	$sql = " SELECT dep_id,dep_name FROM ".$table_prefix ."support_departments ORDER BY dep_id ASC";
	$db->query($sql);
	if ($db->next_record()) {
		$default_dept = "";
		$d = new VA_Record($table_prefix . "support_departments");
		do {
			$deps[$db->f("dep_id")] = $db->f("dep_name");
			$d->add_checkbox("department_".$db->f("dep_id"), INTEGER);
			$is_def_dep = get_db_value("SELECT is_default_dep FROM ".$table_prefix."support_users_departments WHERE dep_id=".$db->f("dep_id"));
	    	if ($is_def_dep) {
	    		$default_dept .= "<option selected value='".$db->f("dep_id")."'>".$db->f("dep_name")."</option>";
    		}
	    	else {
				$default_dept .= "<option value='".$db->f("dep_id")."'>".$db->f("dep_name")."</option>";
			}
		}
		while($db->next_record());
		$t->set_var("default_dept",$default_dept);
		$d->get_form_values();
	}	

	$r->add_where("admin_id", INTEGER);

	$r->add_textbox("admin_name", TEXT, "User Name");
	$r->parameters["admin_name"][REQUIRED] = true;

	$r->add_textbox("login", TEXT, "Login");
	$r->parameters["login"][REQUIRED] = true;

	$r->add_textbox("password", TEXT, "Password");
	$r->parameters["password"][REQUIRED] = true;

	$r->add_textbox("email", TEXT, "E-mail");
	$r->parameters["email"][REQUIRED] = true;

	$privileges = get_db_values("SELECT DISTINCT privilege_id, privilege_name FROM ".$table_prefix."admin_privileges", array(array("", "Select Privilege")));
	$r->add_select("privilege_id", TEXT, $privileges);
	
	$r->get_form_values();			

	$operation = get_param("operation");
	if(strlen($operation))	{
		$is_valid=true;
		if($operation == "cancel")		{
			header("Location: " . $r->return_page);
			exit;
		}
		else if($operation == "delete" && $admin_id)    // deleting department
		{
			$r->delete_record();
			$db->query("DELETE FROM ".$table_prefix ."support_users_departments WHERE admin_id=".$db->tosql($admin_id, INTEGER));	
			header("Location: " . $r->return_page);
			exit;
		}	
		if($is_valid) {
			$is_valid = $r->validate();
		}
		if($is_valid)	{
			if(strlen($r->get_value("admin_id"))) {   // insert existing department
				$r->update_record();
				$db->query("DELETE FROM ".$table_prefix ."support_users_departments WHERE admin_id=" . $db->tosql($admin_id, INTEGER));
			} else {
				$r->insert_record();                  // insert new department
				$sql = " SELECT LAST_INSERT_ID() ";
				$admin_id = get_db_value($sql);
				$r->set_value("admin_id", $admin_id);
			}
			foreach($deps as $dep_id => $dep_name)
			{
				$dep="department_".$dep_id;
				if ($d->get_value($dep)) {
					$sql  = " INSERT INTO ".$table_prefix ."support_users_departments (admin_id, dep_id, is_default_dep) VALUES (";
					$sql .= $db->tosql($admin_id, INTEGER) . ", ";
					$sql .= $db->tosql($dep_id, INTEGER) . ", ";
					$sql .= $db->tosql(strlen($is_default_dep), INTEGER) . ")";
					$db->query($sql);
				}
			}
 			header("Location: " . $r->return_page);
			exit;
		}
	}
	else if(strlen($r->get_value("admin_id")))   	// show existing values 
	{
		$r->get_db_values();
		$dep_checked = array();
    	$sql  = " SELECT dep_id FROM ".$table_prefix ."support_users_departments ";
		$sql .= " WHERE admin_id = " . $db->tosql($admin_id, INTEGER);
		$db->query($sql);
		while($db->next_record()) {
			$dep_checked[$db->f("dep_id")] = 1;
		}
		foreach ($deps as $dep_id => $dep_name){
			$dep="department_".$dep_id;
			if($dep_checked[$dep_id]) {
				$d->set_value($dep,1);
			}	
			else {
				$d->set_value($dep,0);
			}
		}	
	}

	foreach($deps as $dep_id => $dep_name) {
		$dep="department_".$dep_id;
		$dep_name_checked = $d->get_value($dep) ? "checked" : "";
		$dep_checkbox = "<input type=\"checkbox\" name=\"$dep\" $dep_name_checked value=\"$dep_id\">";
		$t->set_var("dep_name", $dep_name);
		$t->set_var("dep_checkbox", $dep_checkbox);
		$t->parse ("dep_rows", true);
	}

	$r->process();
		
	include("./admin_header.php");
	include("./admin_footer.php");

	$t->set_var("admin_href", "admin.php");
	$t->pparse("main");

?>
