// shopping javacript
function checkOrder(orderForm)
{
	var prMessage = "{REQUIRED_PROPERTY_MSG}";
	var prIDs = orderForm.properties.value;
	if (prIDs != "") {
		var properties = prIDs.split(",");
		for ( var i = 0; i < properties.length; i++) {
			var prID = properties[i];
			var cp = prID.split("_");
			var cartID = cp[0];
			var productName = orderForm.elements["item_name_" + cartID].value;
			var prRequired = orderForm.elements["property_required_" + prID].value;
			if(prRequired == 1) {
				var prValue = "";
				var prControl = orderForm.elements["property_control_" + prID].value;
				if (prControl == "LISTBOX") {
					prValue = orderForm.elements["property_" + prID].options[orderForm.elements["property_" + prID].selectedIndex].value;
				} else {
					prValue = orderForm.elements["property_" + prID].value;
				}
				if(prValue == "") {
					var propertyName = orderForm.elements["property_name_" + prID].value;
					prMessage = prMessage.replace("\{property_name\}", propertyName);
					prMessage = prMessage.replace("\{product_name\}", productName);
					alert(prMessage);	
					orderForm.elements["property_" + prID].focus();
					return false;
				}
			}
		}
	}

	if(orderForm.shipping_type_id 
		&& orderForm.shipping_type_id.length 
		&& orderForm.shipping_type_id.length > 1) {
		var shippingError = "{REQUIRED_DELIVERY_MSG}";
		var shippingChecked = false;
		for(var i = 0; i < orderForm.shipping_type_id.length; i++) {
			shippingChecked = (shippingChecked || orderForm.shipping_type_id[i].checked);
		}
		if(!shippingChecked)
		{
			alert(shippingError);
			orderForm.shipping_type_id[0].focus();
			return false;
		}
	} 

	orderForm.operation.value = 'save';
	return true;
}

function changeShipping(orderForm)
{
	var currencyLeft = orderForm.currency_left.value;
	var currencyRight = orderForm.currency_right.value;
	var shippingValue = 0; 
	if(orderForm.shipping_type_id) {
		for(var i = 0; i < orderForm.shipping_type_id.length; i++)
		{
			if(orderForm.shipping_type_id[i].checked) {
				shippingValue = parseFloat(orderForm.shipping_value[i].value);
				orderForm.shipping_cost_selected[i].value = currencyLeft + formatNumber(shippingValue) + currencyRight;
			} else {
				orderForm.shipping_cost_selected[i].value = "";
			}
		}
	}

	var goodsTotal = parseFloat(orderForm.goods_value.value);
	var taxPercent = parseFloat(orderForm.tax_percent.value);
	if(isNaN(taxPercent)) { taxPercent = 0; }
	var orderTotal = goodsTotal + shippingValue;
	if(taxPercent > 0) {
		var taxCost = Math.round((orderTotal) * taxPercent) / 100;
		orderTotal = Math.round((orderTotal + taxCost) * 100) / 100;
		orderForm.tax_cost.value = currencyLeft + formatNumber(taxCost) + currencyRight;
	}

	orderForm.order_total_desc.value = currencyLeft + formatNumber(orderTotal) + currencyRight;
}

function formatNumber(numberValue)
{
	var numberText = new String(numberValue);
	if(numberText.indexOf(".") == -1) {
		numberText += ".00";
	} else if (numberText.indexOf(".") == (numberText.length - 2)) {
		numberText += "0";
	} else {
		var numberParts = numberText.split(".");
		if(numberParts[1].length > 2) {
			numberText = numberParts[0] + "." + numberParts[1].substring(0, 2);
		}
	}
	return numberText;
}

function changeCountry(orderForm, controlType)
{
	var refreshPage = true;
	if(controlType == 'personal') {
		if(orderForm.delivery_country_code) { refreshPage = false; }
	}
	if (refreshPage) {
		orderForm.operation.value = "refresh";
		orderForm.submit();
	}
}
